Bug 1477745 - Emacs GUI Toolbar icons missing [NEEDINFO]
Emacs GUI Toolbar icons missing
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: emacs (Show other bugs)
7.4
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Jan Synacek
BaseOS QE Security Team
:
Depends On:
Blocks: 1432486
  Show dependency treegraph
 
Reported: 2017-08-02 15:33 EDT by Donald Pellegrino
Modified: 2017-12-07 16:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tgummels: needinfo? (mclasen)


Attachments (Terms of Use)
Screenshot (28.98 KB, image/png)
2017-08-02 15:33 EDT, Donald Pellegrino
no flags Details

  None (edit)
Description Donald Pellegrino 2017-08-02 15:33:49 EDT
Created attachment 1308433 [details]
Screenshot

Description of problem:

The Emacs GUI toolbar icons disappeared after the RHEL 7.3 to 7.4 upgrade set.

Version-Release number of selected component (if applicable):

$ rpm -qi emacs
Name        : emacs
Epoch       : 1
Version     : 24.3
Release     : 19.el7_3
Architecture: x86_64
Install Date: Fri 03 Mar 2017 01:50:25 PM EST
Group       : Applications/Editors
Size        : 14848179
License     : GPLv3+
Signature   : RSA/SHA256, Thu 09 Feb 2017 11:30:33 AM EST, Key ID 199e2f91fd431d51
Source RPM  : emacs-24.3-19.el7_3.src.rpm
Build Date  : Mon 16 Jan 2017 06:14:36 AM EST
Build Host  : x86-037.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : http://www.gnu.org/software/emacs/
Summary     : GNU Emacs text editor
Description :
Emacs is a powerful, customizable, self-documenting, modeless text
editor. Emacs contains special code editing features, a scripting
language (elisp), and the capability to read mail, news, and more
without leaving the editor.

This package provides an emacs binary with support for X windows.

How reproducible:

Always

Actual results:

See screenshot

Additional info:

It seems that after the upgrade from RHEL 7.3 to 7.4 and a reboot, the Emacs GUI lost its toolbar icons. Note that the emacs package is still reported as el7_3. Perhaps there is a 7.4 package missing from the repository?
Comment 2 Jan Synacek 2017-08-03 03:11:35 EDT
(In reply to Donald Pellegrino from comment #0)
> It seems that after the upgrade from RHEL 7.3 to 7.4 and a reboot, the Emacs
> GUI lost its toolbar icons.

There were only 2 tiny fixes going into Emacs for 7.4 that had nothing to do with GUI. I have verified that the icons are missing even with emacs-24.3-18.el7.x86_64. The problem is very likely in the gtk code that has changed quite a lot with the update.

> Note that the emacs package is still reported as
> el7_3. Perhaps there is a 7.4 package missing from the repository?

This is expected. The el7_3 means that the patches I wrote about above were also applied in 7.3.z (z-stream) and no newer fixes were added into 7.4.
Comment 3 Donald Pellegrino 2017-08-03 10:41:03 EDT
Thanks for the heads-up @Jan Synacek. This is a minor issue, but if bumping the whole package up to the latest GNU Emacs 25.2 fixes things then that would be ideal fix for me.
Comment 4 andrew2.hart 2017-09-21 07:57:39 EDT
Compiling emacs 25.2.1 from source fixed this emacs toolbar icons / buttons missing problem for me (as did downgrading everything gtk 3.22)
Comment 5 andrew2.hart 2017-09-21 08:51:26 EDT
I am thinking it is to be fixed is emacs not gtk ... but i am no-one :

https://bugs.archlinux.org/task/48862
Comment 6 Matthias Clasen 2017-11-10 15:31:26 EST
https://github.com/emacs-mirror/emacs/commit/3f4c6d52d345999938bc2d4a53246af4c61ef176

is an emacs commit that is supposed to fix this

Note You need to log in before you can comment on or make changes to this bug.